import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'clx_flutter_net_method_channel.dart';

abstract class ClxFlutterNetPlatform extends PlatformInterface {
  /// Constructs a ClxFlutterNetPlatform.
  ClxFlutterNetPlatform() : super(token: _token);

  static final Object _token = Object();

  static ClxFlutterNetPlatform _instance = MethodChannelClxFlutterNet();

  /// The default instance of [ClxFlutterNetPlatform] to use.
  ///
  /// Defaults to [MethodChannelClxFlutterNet].
  static ClxFlutterNetPlatform get instance => _instance;

  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [ClxFlutterNetPlatform] when
  /// they register themselves.
  static set instance(ClxFlutterNetPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<String?> getPlatformVersion() {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }
}
