import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:clx_flutter_net/clx_flutter_net_method_channel.dart';

void main() {
  TestWidgetsFlutterBinding.ensureInitialized();

  MethodChannelClxFlutterNet platform = MethodChannelClxFlutterNet();
  const MethodChannel channel = MethodChannel('clx_flutter_net');

  setUp(() {
    TestDefaultBinaryMessengerBinding.instance.defaultBinaryMessenger.setMockMethodCallHandler(
      channel,
      (MethodCall methodCall) async {
        return '42';
      },
    );
  });

  tearDown(() {
    TestDefaultBinaryMessengerBinding.instance.defaultBinaryMessenger.setMockMethodCallHandler(channel, null);
  });

  test('getPlatformVersion', () async {
    expect(await platform.getPlatformVersion(), '42');
  });
}
