import 'package:flutter_test/flutter_test.dart';
import 'package:clx_flutter_net/clx_flutter_net.dart';
import 'package:clx_flutter_net/clx_flutter_net_platform_interface.dart';
import 'package:clx_flutter_net/clx_flutter_net_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockClxFlutterNetPlatform
    with MockPlatformInterfaceMixin
    implements ClxFlutterNetPlatform {

  @override
  Future<String?> getPlatformVersion() => Future.value('42');
}

void main() {
  final ClxFlutterNetPlatform initialPlatform = ClxFlutterNetPlatform.instance;

  test('$MethodChannelClxFlutterNet is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelClxFlutterNet>());
  });

  test('getPlatformVersion', () async {
    ClxFlutterNet clxFlutterNetPlugin = ClxFlutterNet();
    MockClxFlutterNetPlatform fakePlatform = MockClxFlutterNetPlatform();
    ClxFlutterNetPlatform.instance = fakePlatform;

    expect(await clxFlutterNetPlugin.getPlatformVersion(), '42');
  });
}
